## org.codehaus.groovy.ant
Class Groovy

Executes a series of Groovy statements.

Statements can either be read in from a text file using the src attribute or from between the enclosing groovy tags.

version:
  $Id: Groovy.java 11025 2008-03-10 03:17:40Z paulk $

Field Summary
`boolean` | `append`
`Path` | `classpath`
`Commandline` | `cmdline`
`String` | `command`
`CompilerConfiguration` | `configuration`
`Vector` | `filesets`
`LoggingHelper` | `log`
`File` | `output`
`File` | `srcFile`

Constructor Summary
`Groovy()`

Method Summary
`void` | `addClassPathes(GroovyClassLoader classLoader)` Adds the class pathes (if any)
`void` | `addFileset(FileSet set)` Adds a set of files (nested fileset attribute).
`void` | `addText(String txt)` Set an inline command to execute.
`String` | `computeScriptName()` Try to build a script name for the script of the groovy task to have an helpful value in stack traces in case of exception
`def` | `createArg()`
`Path` | `createClasspath()` Returns a new path element that can be configured.
`void` | `execGroovy(String txt, PrintStream out)` Exec the statement.
`void` | `execute()` Load the file and then execute it
`Path` | `getClasspath()` Gets the classpath.
`static String` | `getText(BufferedReader reader)`
`void` | `printResults(PrintStream out)` print any results in the statement.
`void` | `runStatements(Reader reader, PrintStream out)` Read in lines and execute them.
`void` | `setAppend(boolean append)` Whether output should be appended to or overwrite an existing file.
`void` | `setClasspath(Path classpath)` Sets the classpath for loading.
`void` | `setClasspathRef(Reference ref)` Set the classpath for loading using the classpath reference.
`void` | `setOutput(File output)` Set the output file; optional, defaults to the Ant log.
`void` | `setSrc(File srcFile)` Set the name of the file to be run.
`void` | `setStacktrace(boolean stacktrace)` files to load

Constructor Detail

### Groovy

    Groovy()

Method Detail

### addClassPathes

    void addClassPathes(GroovyClassLoader classLoader)

  Adds the class pathes (if any)
  param:
    classLoader the classloader to configure

### addFileset

    public void addFileset(FileSet set)

  Adds a set of files (nested fileset attribute).

### addText

    public void addText(String txt)

  Set an inline command to execute. NB: Properties are not expanded in this text.

### computeScriptName

    String computeScriptName()

  Try to build a script name for the script of the groovy task to have an helpful value in stack traces in case of exception
  return:
    the name to use when compiling the script

### createArg

    public def createArg()

### createClasspath

    public Path createClasspath()

  Returns a new path element that can be configured. Gets called for instance by Ant when it encounters a nested <classpath> element.
  return:
    the resulting created path

### execGroovy

    void execGroovy(String txt, PrintStream out)

  Exec the statement.
  param:
    txt the groovy source to exec

### execute

    public void execute()

  Load the file and then execute it

### getClasspath

    public Path getClasspath()

  Gets the classpath.
  return:
    Returns a Path

### getText

    static String getText(BufferedReader reader)

### printResults

    void printResults(PrintStream out)

  print any results in the statement.
  param:
    out the output PrintStream to print to

### runStatements

    void runStatements(Reader reader, PrintStream out)

  Read in lines and execute them.
  param:
    reader the reader from which to get the groovy source to exec

### setAppend

    public void setAppend(boolean append)

  Whether output should be appended to or overwrite an existing file. Defaults to false.
  param:
    append set to true to append

### setClasspath

    public void setClasspath(Path classpath)

  Sets the classpath for loading.
  param:
    classpath The classpath to set

### setClasspathRef

    public void setClasspathRef(Reference ref)

  Set the classpath for loading using the classpath reference.
  param:
    ref the refid to use

### setOutput

    public void setOutput(File output)

  Set the output file; optional, defaults to the Ant log.

### setSrc

    public void setSrc(File srcFile)

  Set the name of the file to be run. The folder of the file is automatically added to the classpath. Required unless statements are enclosed in the build file

### setStacktrace

    public void setStacktrace(boolean stacktrace)

  files to load